## org.apache.tomcat.util.buf
Interface ByteChunk.ByteInputChannel

All Known Implementing Classes:
  InputBuffer

Enclosing class:
  ByteChunk

    public static interface ByteChunk.ByteInputChannel

Input interface, used when the buffer is emptiy Same as java.nio.channel.ReadableByteChannel

Method Summary
`int` `realReadBytes(byte[] cbuf, int off, int len)` Read new bytes ( usually the internal conversion buffer ).

Method Detail

### realReadBytes

    int realReadBytes(byte[] cbuf,
                      int off,
                      int len)
                      throws java.io.IOException

  Read new bytes ( usually the internal conversion buffer ). The implementation is allowed to ignore the parameters, and mutate the chunk if it wishes to implement its own buffering.

  Throws:
    `java.io.IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.